﻿/* NAVBAR */
.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 40px;
    z-index: 1000;
    background: rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(6px);
    -webkit-backdrop-filter: blur(6px);
    transition: all .3s ease;
}

    .navbar.scrolled {
        backdrop-filter: blur(12px);
        background: rgba(35, 35, 35, 0.3);
    }

/* Logo */
.logo img {
    width: 100px;
    font-weight: bold;
}

/* Menu */
.nav-links {
    display: flex;
    gap: 40px;
    list-style: none;
    position: relative;
}

.nav-links li {
    position: relative;
    cursor: pointer;
}

.nav-links a {
    text-decoration: none;
    color: white;
}

/* Dropdown */
.services {
    padding-bottom: 10px;
    /* mouseleave boşluk problemi için */
}

.dropdown {
    position: absolute;
    top: 100%;
    left: 0;
    background: rgba(0, 0, 0, 0.8);
    backdrop-filter: blur(10px);
    padding: 20px;
    display: none;
    flex-direction: column;
    gap: 15px;
    min-width: 200px;
    border-radius: 8px;
}

.dropdown a {
    opacity: 0;
    transform: translateY(10px);
}

/* Social */
.social {
    display: flex;
    gap: 15px;
}

.social a {
    color: white;
    text-decoration: none;
}

/* Hamburger */
.hamburger {
    display: none;
    font-size: 28px;
    cursor: pointer;
}

/* MOBILE MENU */
.mobile-menu {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100vh;
    background: #000d;
    display: flex;
    flex-direction: column;
    padding: 100px 30px;
    gap: 30px;
    overflow-y: auto;
    z-index: 999;
}

.mobile-menu a {
    font-size: 22px;
    text-decoration: none;
    color: white;
    opacity: 0;
}

/* Responsive */
@media(max-width:900px) {

    .nav-links,
    .social {
        display: none;
    }

    .hamburger {
        display: block;
    }
}